remote_state {
  backend = "s3"
  config = {
    bucket         = "novarize-terragrunt-state"
    key            = "${path_relative_to_include()}/terraform.tfstate"
    region         = "us-east-1"
    encrypt        = true
    dynamodb_table = "novarize-terragrunt-state"
  }
}

terraform {
  # Force Terraform to keep trying to acquire a lock for up to 20 minutes if someone else already has the lock
  extra_arguments "retry_lock" {
    commands  = get_terraform_commands_that_need_locking()
    arguments = ["-lock-timeout=20m"]
  }

  # Pass custom var files to Terraform
  extra_arguments "common_var" {
    commands  = get_terraform_commands_that_need_vars()
    arguments = [
      "-var-file=${get_parent_terragrunt_dir()}/../commons.tfvars",
      "-var-file=${get_parent_terragrunt_dir()}/environment.tfvars",
    ]
  }
}
